io.undertow.server.handlers.proxy.mod_cluster

## Enum NodeStatus

- java.lang.Object
- - java.lang.Enum<NodeStatus>
  - - io.undertow.server.handlers.proxy.mod_cluster.NodeStatus

All Implemented Interfaces:
  Serializable, Comparable<NodeStatus>

    public enum NodeStatus
    extends Enum<NodeStatus>

Author:
  Stuart Douglas

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NODE_DOWN` The node is down
`NODE_HOT_STANDBY` The node is paused
`NODE_UP` The node is up

### Method Summary

All Methods Static Methods Concrete Methods
`static NodeStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NODE_UP

    public static final NodeStatus NODE_UP

The node is up

#### NODE_DOWN

    public static final NodeStatus NODE_DOWN

The node is down

#### NODE_HOT_STANDBY

    public static final NodeStatus NODE_HOT_STANDBY

The node is paused

### Method Detail

#### values

    public static NodeStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NodeStatus c : NodeStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NodeStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null